
from pybricks.pupdevices import Motor
from pybricks.parameters import Axis, Direction, Port
from pybricks.hubs import PrimeHub

# Set up all devices.
prime_hub = PrimeHub(top_side=Axis.Z, front_side=Axis.X, broadcast_channel=0)
left = Motor(Port.E, Direction.CLOCKWISE)
right = Motor(Port.F, Direction.COUNTERCLOCKWISE)


# The main program starts here.
left.settings(max_voltage=2000)
right.settings(max_voltage=2000)
while True:
    left.track_target(0)
    right.track_target(0)
    prime_hub.ble.broadcast([left.angle(), right.angle()])
